[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: XULRunner in rawhide



>>>>> "MS" == Martin Stransky  writes:

MS> Hello, there's a new package in rawhide, xulrunner
MS> (xulrunner-1.9-0.alpha9.3.fc9). This package is supposed to
MS> provide gecko-libs instead of Firefox and the plan is to ship
MS> Firefox as a pure XUL application and run in by xulrunner.

MS> So no more firefox-devel packages in rawhide, you should use
MS> xulrunner-devel (gecko-libs == 1.9) now.

MS> If you maintain any package what is built against gecko-libs (or
MS> firefox-devel), please rebuild it with the xulrunner. The
MS> xulrunner-*.pc pkg-config files are provided and you may add
MS> "--with-gecko=xulrunner" directive to configure script.

MS> As the name suggests, the xulrunner-1.9-0.alpha9.3.fc9 package is
MS> based on the latest mozilla xulrunner trunk (a.k.a. Firefox 3
MS> Alpha) so some package may not compile with it (for instance
MS> epiphany) and we need to fix all those errors before F9 GA...

MS> Please contact me or Chris if you have any questions.

Martin,

I just tried rebuilding Miro against the new xulrunner (by bumping BR:
gecko-devel = 1.9), and I got the following build log.

http://koji.fedoraproject.org/koji/getfile?taskID=241345&name=build.log

relevant excerpt is:

Traceback (most recent call last):
  File "setup.py", line 244, in <module>
    "gtk+-2.0 glib-2.0 pygtk-2.0 %s %s" % (gtkmozembed, xpcom))
  File "setup.py", line 194, in parsePkgConfig
    output = getCommandOutput(commandLine).strip()
  File "setup.py", line 165, in getCommandOutput
    (cmd, stderr))
RuntimeError: pkg-config --cflags --libs gtk+-2.0 glib-2.0 pygtk-2.0
  xulrunner-gtkmozembed xulrunner-xpcom outputted the following error:
Package xulrunner-gtkmozembed was not found in the pkg-config search
  path.
Perhaps you should add the directory containing
  `xulrunner-gtkmozembed.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xulrunner-gtkmozembed' found

Is 'xulrunner-gtkmozembed' supposed to be provided by the xulrunner
package somehow?  Is there another BuildRequires I need to add?

Alex


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]